package com.bankaudit.template.rest.dao;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Map;

import com.bankaudit.dao.Dao;

public interface FileUploadDao  extends  Dao {
	public List createTemplate(String tableName);
	public List<Object[]> getUploadType();
	public ArrayList getTableColumns(String tableName);
	public String uploadExcelData(String tableName,List uploadList,String maker,Date businessDate);
	public String saveAuditExcelData(List<Map<String, String>> uploadList, String tableName, String maker, Date businessDate);
}
